React Bootstrap Charts

React Charts - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap charts are graphical representations of data. Charts come in different sizes and shapes: bar, line, pie, radar, polar and more.

At your disposal are 6 types of charts and multiple options for customization.


Line chart

import React from "react";
import { Line } from "react-chartjs-2";
import { MDBContainer } from "mdbreact";

class ChartsPage extends React.Component {
  state = {
    dataLine: {
      labels: ["January", "February", "March", "April", "May", "June", "July"],
      datasets: [
        {
          label: "My First dataset",
          fill: true,
          lineTension: 0.3,
          backgroundColor: "rgba(225, 204,230, .3)",
          borderColor: "rgb(205, 130, 158)",
          borderCapStyle: "butt",
          borderDash: [],
          borderDashOffset: 0.0,
          borderJoinStyle: "miter",
          pointBorderColor: "rgb(205, 130,1 58)",
          pointBackgroundColor: "rgb(255, 255, 255)",
          pointBorderWidth: 10,
          pointHoverRadius: 5,
          pointHoverBackgroundColor: "rgb(0, 0, 0)",
          pointHoverBorderColor: "rgba(220, 220, 220,1)",
          pointHoverBorderWidth: 2,
          pointRadius: 1,
          pointHitRadius: 10,
          data: [65, 59, 80, 81, 56, 55, 40]
        },
        {
          label: "My Second dataset",
          fill: true,
          lineTension: 0.3,
          backgroundColor: "rgba(184, 185, 210, .3)",
          borderColor: "rgb(35, 26, 136)",
          borderCapStyle: "butt",
          borderDash: [],
          borderDashOffset: 0.0,
          borderJoinStyle: "miter",
          pointBorderColor: "rgb(35, 26, 136)",
          pointBackgroundColor: "rgb(255, 255, 255)",
          pointBorderWidth: 10,
          pointHoverRadius: 5,
          pointHoverBackgroundColor: "rgb(0, 0, 0)",
          pointHoverBorderColor: "rgba(220, 220, 220, 1)",
          pointHoverBorderWidth: 2,
          pointRadius: 1,
          pointHitRadius: 10,
          data: [28, 48, 40, 19, 86, 27, 90]
        }
      ]
    }
  };

  render() {
    return (
      <MDBContainer>
        <h3 className="mt-5">Line chart</h3>
        <Line data={this.state.dataLine} options={{ responsive: true }} />
      </MDBContainer>
    );
  }
}

export default ChartsPage;

Radar chart

import React from "react";
import { Radar } from "react-chartjs-2";
import { MDBContainer } from "mdbreact";


class ChartsPage extends React.Component {
  state = {
    dataRadar: {
      labels: ["Eating", "Drinking", "Sleeping", "Designing", "Coding", "Cycling", "Running"],
      datasets: [
        {
          label: "My First dataset",
          backgroundColor: "rgba(194, 116, 161, 0.5)",
          borderColor: "rgb(194, 116, 161)",
          data: [65, 59, 90, 81, 56, 55, 40]
        },
        {
          label: "My Second dataset",
          backgroundColor: "rgba(71, 225, 167, 0.5)",
          borderColor: "rgb(71, 225, 167)",
          data: [28, 48, 40, 19, 96, 27,100]
        }
      ]
    }

  }


render() {
    return (
      <MDBContainer>
        <h3 className="mt-5">Radar chart</h3>
        <Radar data={this.state.dataRadar} options={{ responsive: true }} />
      </MDBContainer>
    );
  }
}

export default ChartsPage;

Bar chart

import React from "react";
import { Bar } from "react-chartjs-2";
import { MDBContainer } from "mdbreact";

class ChartsPage extends React.Component {
  state = {
    dataBar: {
      labels: ["Red", "Blue", "Yellow", "Green", "Purple", "Orange"],
      datasets: [
        {
          label: "% of Votes",
          data: [12, 19, 3, 5, 2, 3],
          backgroundColor: [
            "rgba(255, 134,159,0.4)",
            "rgba(98,  182, 239,0.4)",
            "rgba(255, 218, 128,0.4)",
            "rgba(113, 205, 205,0.4)",
            "rgba(170, 128, 252,0.4)",
            "rgba(255, 177, 101,0.4)"
          ],
          borderWidth: 2,
          borderColor: [
            "rgba(255, 134, 159, 1)",
            "rgba(98,  182, 239, 1)",
            "rgba(255, 218, 128, 1)",
            "rgba(113, 205, 205, 1)",
            "rgba(170, 128, 252, 1)",
            "rgba(255, 177, 101, 1)"
          ]
        }
      ]
    },
    barChartOptions: {
      responsive: true,
      maintainAspectRatio: false,
      scales: {
        xAxes: [
          {
            barPercentage: 1,
            gridLines: {
              display: true,
              color: "rgba(0, 0, 0, 0.1)"
            }
          }
        ],
        yAxes: [
          {
            gridLines: {
              display: true,
              color: "rgba(0, 0, 0, 0.1)"
            },
            ticks: {
              beginAtZero: true
            }
          }
        ]
      }
    }
  }


  render() {
    return (
      <MDBContainer>
        <h3 className="mt-5">Bar chart</h3>
        <Bar data={this.state.dataBar} options={this.state.barChartOptions} />
      </MDBContainer>
    );
  }
}

export default ChartsPage;

Horizontal Bar Chart

import React from 'react';
import { HorizontalBar } from 'react-chartjs-2';
import { MDBContainer } from 'mdbreact';

class ChartsPage extends React.Component {
  state = {
    dataHorizontal: {
      labels: ['Red', 'Orange', 'Yellow', 'Green', 'Blue', 'Purple', 'Grey'],
      datasets: [
        {
          label: 'My First Dataset',
          data: [22, 33, 55, 12, 86, 23, 14],
          fill: false,
          backgroundColor: [
            'rgba(255, 99, 132, 0.2)',
            'rgba(255, 159, 64, 0.2)',
            'rgba(255, 205, 86, 0.2)',
            'rgba(75, 192, 192, 0.2)',
            'rgba(54, 162, 235, 0.2)',
            'rgba(153, 102, 255, 0.2)',
            'rgba(201, 203, 207, 0.2)'
          ],
          borderColor: [
            'rgb(255, 99, 132)',
            'rgb(255, 159, 64)',
            'rgb(255, 205, 86)',
            'rgb(75, 192, 192)',
            'rgb(54, 162, 235)',
            'rgb(153, 102, 255)',
            'rgb(201, 203, 207)'
          ],
          borderWidth: 1
        }
      ]
    }
  };

  render() {
    return (
      <MDBContainer>
        <h3 className='mt-5'>Bar chart</h3>
        <HorizontalBar
          data={this.state.dataHorizontal}
          options={{ responsive: true }}
        />
      </MDBContainer>
    );
  }
}

export default ChartsPage;

Polar Area Chart

import React from "react";
import { Polar } from "react-chartjs-2";
import { MDBContainer } from "mdbreact";

class ChartsPage extends React.Component {
  state = {
    dataPolar: {
      datasets: [
        {
          data: [300, 50, 100, 40, 120],
          backgroundColor: [
            "rgba(247, 70, 74, 0.5)",
            "rgba(70, 191, 189, 0.5)",
            "rgba(253, 180, 92, 0.5)",
            "rgba(148, 159, 177, 0.5)",
            "rgba(77, 83, 96, 0.5)"
          ],
          label: "My dataset" // for legend
        }
      ],
      labels: ["Red", "Green", "Yellow", "Grey", "Dark Grey"]
    }
  }

  render() {
    return (
      <MDBContainer>
        <h3 className="mt-5">Polar area chart</h3>
        <Polar data={this.state.dataPolar} options={{ responsive: true }} />
      </MDBContainer>
    );
  }
}

export default ChartsPage;

Pie Chart

import React from "react";
import { Pie } from "react-chartjs-2";
import { MDBContainer } from "mdbreact";

class ChartsPage extends React.Component {
  state = {
    dataPie: {
      labels: ["Red", "Green", "Yellow", "Grey", "Dark Grey"],
      datasets: [
        {
          data: [300, 50, 100, 40, 120],
          backgroundColor: [
            "#F7464A",
            "#46BFBD",
            "#FDB45C",
            "#949FB1",
            "#4D5360",
            "#AC64AD"
          ],
          hoverBackgroundColor: [
            "#FF5A5E",
            "#5AD3D1",
            "#FFC870",
            "#A8B3C5",
            "#616774",
            "#DA92DB"
          ]
        }
      ]
    }
  }

  render() {
    return (
      <MDBContainer>
        <h3 className="mt-5">Pie chart</h3>
        <Pie data={this.state.dataPie} options={{ responsive: true }} />
      </MDBContainer>
    );
  }
}

export default ChartsPage;

Doughnut Chart

import React from "react";
import { Doughnut } from "react-chartjs-2";
import { MDBContainer } from "mdbreact";

class ChartsPage extends React.Component {
state = {
  dataDoughnut: {
    labels: ["Red", "Green", "Yellow", "Grey", "Dark Grey"],
    datasets: [
      {
        data: [300, 50, 100, 40, 120],
        backgroundColor: ["#F7464A", "#46BFBD", "#FDB45C", "#949FB1", "#4D5360"],
        hoverBackgroundColor: [
          "#FF5A5E",
          "#5AD3D1",
          "#FFC870",
          "#A8B3C5",
          "#616774"
        ]
      }
    ]
  }
}

render() {
    return (
    <MDBContainer>
      <h3 className="mt-5">Doughnut chart</h3>
      <Doughnut data={this.state.dataDoughnut} options={{ responsive: true }} />
    </MDBContainer>
    );
  }
}

export default ChartsPage;

Bubble Chart

import React from 'react';
import { Bubble } from 'react-chartjs-2';
import { MDBContainer } from 'mdbreact';

class ChartsPage extends React.Component {
  state = {
    dataBubble: {
      labels: 'Bubble',
      datasets: [
        {
          label: 'John',
          data: [
            {
              x: 3,
              y: 7,
              r: 10
            }
          ],
          backgroundColor: '#ff6384',
          hoverBackgroundColor: '#ff6384'
        },
        {
          label: 'Peter',
          data: [
            {
              x: 3.2,
              y: 7,
              r: 10
            }
          ],
          backgroundColor: '#44e4ee',
          hoverBackgroundColor: '#44e4ee'
        },
        {
          label: 'Donald',
          data: [
            {
              x: 3.4,
              y: 7,
              r: 10
            }
          ],
          backgroundColor: '#62088A',
          hoverBackgroundColor: '#62088A'
        }
      ]
    }
  };

  render() {
    return (
      <MDBContainer>
        <h3 className='mt-5'>Bar chart</h3>
        <Bubble data={this.state.dataBubble} options={{ responsive: true }} />
      </MDBContainer>
    );
  }
}

export default ChartsPage;

Scatter Chart

import React from 'react';
import { Scatter, Chart } from 'react-chartjs-2';
import { MDBContainer } from 'mdbreact';

class ChartsPage extends React.Component {
  state = {
    dataScatter: {
      labels: ['Scatter'],
      datasets: [
        {
          borderColor: 'rgba(99,0,125, .2)',
          backgroundColor: 'rgba(99,0,125, .5)',
          label: 'V(node2)',
          data: [
            {
              x: 1,
              y: -1.711e-2
            },
            {
              x: 1.26,
              y: -2.708e-2
            },
            {
              x: 1.58,
              y: -4.285e-2
            },
            {
              x: 2.0,
              y: -6.772e-2
            },
            {
              x: 2.51,
              y: -1.068e-1
            },
            {
              x: 3.16,
              y: -1.681e-1
            },
            {
              x: 3.98,
              y: -2.635e-1
            },
            {
              x: 5.01,
              y: -4.106e-1
            },
            {
              x: 6.31,
              y: -6.339e-1
            },
            {
              x: 7.94,
              y: -9.659e-1
            },
            {
              x: 10.0,
              y: -1.445
            },
            {
              x: 12.6,
              y: -2.11
            },
            {
              x: 15.8,
              y: -2.992
            },
            {
              x: 20.0,
              y: -4.102
            },
            {
              x: 25.1,
              y: -5.429
            },
            {
              x: 31.6,
              y: -6.944
            },
            {
              x: 39.8,
              y: -8.607
            },
            {
              x: 50.1,
              y: -1.038e1
            },
            {
              x: 63.1,
              y: -1.223e1
            },
            {
              x: 79.4,
              y: -1.413e1
            },
            {
              x: 100.0,
              y: -1.607e1
            },
            {
              x: 126,
              y: -1.803e1
            },
            {
              x: 158,
              y: -2e1
            },
            {
              x: 200,
              y: -2.199e1
            },
            {
              x: 251,
              y: -2.398e1
            },
            {
              x: 316,
              y: -2.597e1
            },
            {
              x: 398,
              y: -2.797e1
            },
            {
              x: 501,
              y: -2.996e1
            },
            {
              x: 631,
              y: -3.196e1
            },
            {
              x: 794,
              y: -3.396e1
            },
            {
              x: 1000,
              y: -3.596e1
            }
          ]
        }
      ]
    },
    optionsScatter: {
      title: {
        display: true,
        text: 'Scatter Chart - Logarithmic X-Axis'
      },
      scales: {
        xAxes: [
          {
            type: 'logarithmic',
            position: 'bottom',
            ticks: {
              userCallback: function(tick) {
                var remain =
                  tick / Math.pow(10, Math.floor(Chart.helpers.log10(tick)));
                if (remain === 1 || remain === 2 || remain === 5) {
                  return tick.toString() + 'Hz';
                }
                return '';
              }
            },
            scaleLabel: {
              labelString: 'Frequency',
              display: true
            }
          }
        ],
        yAxes: [
          {
            type: 'linear',
            ticks: {
              userCallback: function(tick) {
                return tick.toString() + 'dB';
              }
            },
            scaleLabel: {
              labelString: 'Voltage',
              display: true
            }
          }
        ]
      }
    }
  };

  render() {
    return (
      <MDBContainer>
        <h3 className='mt-5'>Bar chart</h3>
        <Scatter
          data={this.state.dataScatter}
          options={this.state.optionsScatter}
        />
      </MDBContainer>
    );
  }
}

export default ChartsPage;

Minimalist charts MDB Pro component

0
Sales
0
ROI
0
Conversion
import React from "react";
import {
  MDBContainer,
  MDBRow,
  MDBCol,
  MDBIcon,
  MDBSimpleChart
} from "mdbreact";

class ChartsPagePro extends React.Component {
  render() {
    return (
      <MDBContainer>
        <h3 className="mt-5">Minimalistic charts</h3>
        <div style={{ marginTop: "100px" }}>
          <MDBContainer>
            <MDBRow className="text-center">
              <MDBCol sm="4">
                <MDBSimpleChart
                  width={100}
                  height={100}
                  strokeWidth={3}
                  percent={56}
                  strokeColor="#4FB64E"
                  labelFontWeight="300"
                  labelColor="#000"
                />
                <h6 className="mt-5">
                  <span className="label green p-1 white-text">
                    <strong>Sales</strong>
                    <MDBIcon icon="arrow-circle-up" className="ml-1" />
                  </span>
                </h6>
              </MDBCol>
              <MDBCol sm="4">
                <MDBSimpleChart
                  width={100}
                  height={100}
                  strokeWidth={3}
                  percent={76}
                  strokeColor="#EA3C3B"
                  labelFontWeight="300"
                  labelColor="#000"
                />
                <h6 className="mt-5">
                  <span className="label red p-1 white-text">
                    <strong>ROI</strong>
                    <MDBIcon icon="arrow-circle-down" className="ml-1" />
                  </span>
                </h6>
              </MDBCol>
              <MDBCol sm="4">
                <MDBSimpleChart
                  width={100}
                  height={100}
                  strokeWidth={3}
                  percent={100}
                  strokeColor="#9D9D9D"
                  labelFontWeight="300"
                  labelColor="#000"
                />
                <h6 className="mt-5">
                  <span className="label grey p-1 white-text">
                    <strong>Conversion</strong>
                    <MDBIcon icon="minus-square" className="ml-1" />
                  </span>
                </h6>
              </MDBCol>
            </MDBRow>
          </MDBContainer>
        </div>
      </MDBContainer>
    );
  }
}

export default ChartsPagePro;

React Charts - API

In this section, you will find advanced information about the Line, Radar, Bar, Polar, Pie, Doughnut components. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


API Reference: Options

In order to use Charts components make sure you have imported proper module first.

import { Line, Radar, Bar, Polar, Pie, Doughnut } from "react-chartjs-2";

The table below shows the configuration options of the components.


Line

Name Type Default Description Example
showLines Boolean true If false, the lines between points are not drawn. showLines: false
spanGaps Boolean false If false, NaN data causes a break in the line. spanGaps: true
scales Object - Changes the scale settings in the charts scales: { yAxes: [ { ticks: { max: 100, min: -100 } } ] }

Radar

Name Type Default Description Example
scale Object - Changes the scale settings in the charts scale: { display: false, ticks: { max: 250 } }
startAngle number -0.5 * Math.PI Starting angle to draw arcs for the first item in a dataset. startAngle: 3 * Math.PI

Bar

Name Type Default Description Example
scales Object - Changes the scale settings in the charts scales: { yAxes: [ { ticks: { max: 100, min: -100 } } ] }

Polar

Name Type Default Description Example
startAngle number -0.5 * Math.PI Starting angle to draw arcs for the first item in a dataset. startAngle: 3 * Math.PI
animation.animateRotate Boolean true If true, the chart will animate in with a rotation animation. This property is in the options.animation object. animation: { animateRotate: false }
animation.animateScale Boolean true If true, will animate scaling the chart from the center outwards. animation: { animateScale: false }
scale Object - Changes the scale settings in the charts scale: { display: false, ticks: { max: 250 } }

Doughnut & Pie

Name Type Default Description Example
rotation number -0.5 * Math.PI Starting angle to draw arcs from. rotation: 3 * Math.PI
circumference number 2 * Math.PI Sweep to allow arcs to cover. circumference: 3 * Math.PI
animation.animateRotate Boolean true If true, the chart will animate in with a rotation animation. This property is in the options.animation object. animation: { animateRotate: false }
animation.animateScale Boolean true If true, will animate scaling the chart from the center outwards. animation: { animateScale: false }
cutoutPercentage number 50 - for doughnut, 0 - for pie The percentage of the chart that is cut out of the middle. cutoutPercentage: 30

MDBSimpleChart - Component MDB Pro component

In this section, you will find advanced information about the MDBSimpleChart component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

In order to use MDBSimpleChart component make sure you have imported proper module first.

import { MDBSimpleChart } from "mdbreact";

API Reference: Properties MDB Pro component

The table below shows the configuration options of the MDBSimpleChart component.

Name Type Default Description Example
width number 150 Chart width <MDBSimpleChart width={100} >
height number 150 Chart height <MDBSimpleChart height="100" >
strokeWidth number 10 The stroke width of the chart in pixels. <MDBSimpleChart strokeWidth={4} >
strokeColor string '#408AE5' The stroke colour of the charts. <MDBSimpleChart strokeColor="#4FB64E" >
labelFontWeight string 'bold' Label font weight <MDBSimpleChart labelFontWeight="light" >
labelFontSize string '1.2em' Label font size <MDBSimpleChart labelFontSize="2rem" >
fillColor string 'none' The fill color whithin the circle. <MDBSimpleChart fillColor="red" >
percent number 'none' The percentage shown on the chart <MDBSimpleChart percent={56} >

Angular Bootstrap Charts

Angular Charts - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap charts are graphical representations of data. They are responsive and easy to customize.

At your disposal are eight types of charts and multiple options for customization.

To create new chart, just add a canvas with a mdbChart directive and necessary properties.


Line chart

        
            
          <div style="display: block">
            <canvas mdbChart
              [chartType]="chartType"
              [datasets]="chartDatasets"
              [labels]="chartLabels"
              [colors]="chartColors"
              [options]="chartOptions"
              [legend]="true"
              (chartHover)="chartHovered($event)"
              (chartClick)="chartClicked($event)">
            </canvas>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'line-chart',
            templateUrl: './line-chart.component.html',
            styleUrls: ['./line-chart.component.scss'],
          })
          export class LineChartComponent {
            chartType = 'line';

            chartDatasets = [
              { data: [65, 59, 80, 81, 56, 55, 40], label: 'My First dataset' },
              { data: [28, 48, 40, 19, 86, 27, 90], label: 'My Second dataset' }
            ];

            chartLabels = ['January', 'February', 'March', 'April', 'May', 'June', 'July'];

            chartColors = [
              {
                backgroundColor: 'rgba(105, 0, 132, .2)',
                borderColor: 'rgba(200, 99, 132, .7)',
                borderWidth: 2,
              },
              {
                backgroundColor: 'rgba(0, 137, 132, .2)',
                borderColor: 'rgba(0, 10, 130, .7)',
                borderWidth: 2,
              }
            ];

            chartOptions: any = {
              responsive: true
            };

            chartClicked(event: any) {
              console.log(event);
            }

            chartHovered(event: any) {
              console.log(event);
            }
          }
        
        
    

Radar chart

        
            
          <div style="display: block">
            <canvas mdbChart
              [chartType]="chartType"
              [datasets]="chartDatasets"
              [labels]="chartLabels"
              [colors]="chartColors"
              [options]="chartOptions"
              [legend]="true"
              (chartHover)="chartHovered($event)"
              (chartClick)="chartClicked($event)">
            </canvas>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'radar-chart',
            templateUrl: './radar-chart.component.html',
            styleUrls: ['./radar-chart.component.scss'],
          })
          export class RadarChartComponent {
            chartType = 'radar';

            chartDatasets = [
              { data: [65, 59, 80, 81, 56, 55, 40], label: 'My First dataset' },
              { data: [28, 48, 40, 19, 86, 27, 90], label: 'My Second dataset' }
            ];

            chartLabels = ['Eating', 'Drinking', 'Sleeping', 'Designing', 'Coding', 'Cycling', 'Running'];

            chartColors = [
              {
                backgroundColor: 'rgba(105, 0, 132, .2)',
                borderColor: 'rgba(200, 99, 132, .7)',
                borderWidth: 2,
              },
              {
                backgroundColor: 'rgba(0, 250, 220, .2)',
                borderColor: 'rgba(0, 213, 132, .7)',
                borderWidth: 2,
              }
            ];

            chartOptions: any = {
              responsive: true
            };

            chartClicked(event: any): void {
              console.log(event);
            }

            chartHovered(event: any): void {
              console.log(event);
            }
          }
        
        
    

Bar chart

        
            
          <div style="display: block">
            <canvas mdbChart
              [chartType]="chartType"
              [datasets]="chartDatasets"
              [labels]="chartLabels"
              [colors]="chartColors"
              [options]="chartOptions"
              [legend]="true"
              (chartHover)="chartHovered($event)"
              (chartClick)="chartClicked($event)">
            </canvas>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'bar-chart',
            templateUrl: './bar-chart.component.html',
            styleUrls: ['./bar-chart.component.scss'],
          })
          export class BarChartComponent {
            chartType = 'bar';

            chartDatasets = [
              { data: [65, 59, 80, 81, 56, 55, 40], label: 'My First dataset' }
            ];

            chartLabels = ['Red', 'Blue', 'Yellow', 'Green', 'Purple', 'Orange'];

            chartColors = [
              {
                backgroundColor: [
                  'rgba(255, 99, 132, 0.2)',
                  'rgba(54, 162, 235, 0.2)',
                  'rgba(255, 206, 86, 0.2)',
                  'rgba(75, 192, 192, 0.2)',
                  'rgba(153, 102, 255, 0.2)',
                  'rgba(255, 159, 64, 0.2)'
                ],
                borderColor: [
                  'rgba(255,99,132,1)',
                  'rgba(54, 162, 235, 1)',
                  'rgba(255, 206, 86, 1)',
                  'rgba(75, 192, 192, 1)',
                  'rgba(153, 102, 255, 1)',
                  'rgba(255, 159, 64, 1)'
                ],
                borderWidth: 2,
              }
            ];

            chartOptions: any = {
              responsive: true
            };

            chartClicked(event: any): void {
              console.log(event);
            }

            chartHovered(event: any): void {
              console.log(event);
            }
          }
        
        
    

Horizontal Bar Chart

        
            
          <div style="display: block">
            <canvas mdbChart
              [chartType]="chartType"
              [datasets]="chartDatasets"
              [labels]="chartLabels"
              [colors]="chartColors"
              [options]="chartOptions"
              [legend]="true"
              (chartHover)="chartHovered($event)"
              (chartClick)="chartClicked($event)">
            </canvas>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'horizontal-bar-chart',
            templateUrl: './horizontal-bar-chart.component.html',
            styleUrls: ['./horizontal-bar-chart.component.scss'],
          })
          export class HorizontalBarComponent {
            chartType = 'horizontalBar';

            chartDatasets = [
              { data: [65, 59, 80, 81, 56, 55, 40], label: 'My First dataset' }
            ];

            chartLabels = ['Red', 'Blue', 'Yellow', 'Green', 'Purple', 'Orange'];

            chartColors = [
              {
                backgroundColor: [
                  'rgba(255, 99, 132, 0.2)',
                  'rgba(54, 162, 235, 0.2)',
                  'rgba(255, 206, 86, 0.2)',
                  'rgba(75, 192, 192, 0.2)',
                  'rgba(153, 102, 255, 0.2)',
                  'rgba(255, 159, 64, 0.2)'
                ],
                borderColor: [
                  'rgba(255,99,132,1)',
                  'rgba(54, 162, 235, 1)',
                  'rgba(255, 206, 86, 1)',
                  'rgba(75, 192, 192, 1)',
                  'rgba(153, 102, 255, 1)',
                  'rgba(255, 159, 64, 1)'
                ],
                borderWidth: 2,
              }
            ];

            chartOptions: any = {
              responsive: true
            };

            chartClicked(event: any): void {
              console.log(event);
            }

            chartHovered(event: any): void {
              console.log(event);
            }
          }
        
        
    

Stacked Bar Chart

        
            
          <div style="display: block">
            <canvas mdbChart
              [chartType]="chartType"
              [datasets]="chartDatasets"
              [labels]="chartLabels"
              [colors]="chartColors"
              [options]="chartOptions"
              [legend]="true"
              (chartHover)="chartHovered($event)"
              (chartClick)="chartClicked($event)">
            </canvas>
          </div>
        
        
    
        
            
        import { Component } from '@angular/core';

        @Component({
          selector: 'stacked-bar-chart',
          templateUrl: './stacked-bar-chart.component.html',
          styleUrls: ['./stacked-bar-chart.component.scss'],
        })
        export class StackedBarComponent {
          chartType = 'bar';

          chartDatasets = [
            { data: [65, 59, -157, 81, 56, 55, 40], label: 'My First dataset' },
            { data: [11, 12, -157, 13, 14, 15, 16], label: 'My Second dataset' },
          ];

          chartLabels = ['Red', 'Blue', 'Yellow', 'Green', 'Purple', 'Orange'];

          chartColors = [
            {
              backgroundColor: [
                'rgba(255, 99, 132, 0.2)',
                'rgba(54, 162, 235, 0.2)',
                'rgba(255, 206, 86, 0.2)',
                'rgba(75, 192, 192, 0.2)',
                'rgba(153, 102, 255, 0.2)',
                'rgba(255, 159, 64, 0.2)'
              ],
              borderColor: [
                'rgba(255,99,132,1)',
                'rgba(54, 162, 235, 1)',
                'rgba(255, 206, 86, 1)',
                'rgba(75, 192, 192, 1)',
                'rgba(153, 102, 255, 1)',
                'rgba(255, 159, 64, 1)'
              ],
              borderWidth: 2,
            },
            {
              backgroundColor: [
                'rgba(255, 125, 158, 0.2)',
                'rgba(3, 111, 184, 0.2)',
                'rgba(255, 255, 137, 0.2)',
                'rgba(75, 192, 192, 0.2)',
                'rgba(126, 243, 243, 0.2)',
                'rgba(255, 210, 115, 0.2)'
              ],
              borderColor: [
                'rgba(255, 125, 158, 1)',
                'rgba(3, 111, 184, 1)',
                'rgba(255, 255, 137, 1)',
                'rgba(75, 192, 192, 1)',
                'rgba(126, 243, 243, 1)',
                'rgba(255, 210, 115, 1)'
              ],
              borderWidth: 2,
            },
          ];

          chartOptions: any = {
            responsive: true,
              scales: {
                xAxes: [{
                  stacked: true
                  }],
                yAxes: [
                {
                  stacked: true
                }
              ]
            }
          }

          chartClicked(event: any): void {
            console.log(event);
          }

          chartHovered(event: any): void {
            console.log(event);
          }
        }
        
        
    

Polar Area Chart

        
            
          <div style="display: block">
            <canvas mdbChart
              [chartType]="chartType"
              [datasets]="chartDatasets"
              [labels]="chartLabels"
              [colors]="chartColors"
              [options]="chartOptions"
              [legend]="true"
              (chartHover)="chartHovered($event)"
              (chartClick)="chartClicked($event)">
            </canvas>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'polarArea-bar-chart',
            templateUrl: './polarArea-bar-chart.component.html',
            styleUrls: ['./polarArea-bar-chart.component.scss'],
          })
          export class PolarAreaChartComponent {
            chartType = 'polarArea';

            chartDatasets = [
              { data: [65, 59, 80, 81, 56, 55, 40], label: 'My First dataset' }
            ];

            chartLabels = ['Red', 'Green', 'Yellow', 'Grey', 'Dark Grey'];

            chartColors = [
              {
                backgroundColor: [
                  'rgba(219, 0, 0, 0.1)',
                  'rgba(0, 165, 2, 0.1)',
                  'rgba(255, 195, 15, 0.2)',
                  'rgba(55, 59, 66, 0.1)',
                  'rgba(0, 0, 0, 0.3)'
                ],
                hoverBackgroundColor: [
                  'rgba(219, 0, 0, 0.2)',
                  'rgba(0, 165, 2, 0.2)',
                  'rgba(255, 195, 15, 0.3)',
                  'rgba(55, 59, 66, 0.1)',
                  'rgba(0, 0, 0, 0.4)'
                ],
                borderWidth: 2,
              }
            ];

            chartOptions: any = {
              responsive: true
            };

            chartClicked(event: any): void {
              console.log(event);
            }

            chartHovered(event: any): void {
              console.log(event);
            }
          }
        
        
    

Pie Chart

        
            
          <div style="display: block">
            <canvas mdbChart
              [chartType]="chartType"
              [datasets]="chartDatasets"
              [labels]="chartLabels"
              [colors]="chartColors"
              [options]="chartOptions"
              [legend]="true"
              (chartHover)="chartHovered($event)"
              (chartClick)="chartClicked($event)">
            </canvas>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'pie-chart',
            templateUrl: './pie-chart.component.html',
            styleUrls: ['./pie-chart.component.scss'],
          })
          export class PieChartComponent {
            chartType = 'pie';

            chartDatasets = [
              { data: [300, 50, 100, 40, 120], label: 'My First dataset' }
            ];

            chartLabels = ['Red', 'Green', 'Yellow', 'Grey', 'Dark Grey'];

            chartColors = [
              {
                backgroundColor: ['#F7464A', '#46BFBD', '#FDB45C', '#949FB1', '#4D5360'],
                hoverBackgroundColor: ['#FF5A5E', '#5AD3D1', '#FFC870', '#A8B3C5', '#616774'],
                borderWidth: 2,
              }
            ];

            chartOptions: any = {
              responsive: true
            };

            chartClicked(event: any): void {
              console.log(event);
            }

            chartHovered(event: any): void {
              console.log(event);
            }
          }
        
        
    

Doughnut Chart

        
            
          <div style="display: block">
            <canvas mdbChart
              [chartType]="chartType"
              [datasets]="chartDatasets"
              [labels]="chartLabels"
              [colors]="chartColors"
              [options]="chartOptions"
              [legend]="true"
              (chartHover)="chartHovered($event)"
              (chartClick)="chartClicked($event)">
            </canvas>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'doughnut-bar-chart',
            templateUrl: './doughnut-bar-chart.component.html',
            styleUrls: ['./doughnut-bar-chart.component.scss'],
          })
          export class DoughnutChartArea {
            chartType = 'doughnut';

            chartDatasets = [
              { data: [300, 50, 100, 40, 120], label: 'My First dataset' }
            ];

            chartLabels = ['Red', 'Green', 'Yellow', 'Grey', 'Dark Grey'];

            chartColors = [
              {
                backgroundColor: ['#F7464A', '#46BFBD', '#FDB45C', '#949FB1', '#4D5360'],
                hoverBackgroundColor: ['#FF5A5E', '#5AD3D1', '#FFC870', '#A8B3C5', '#616774'],
                borderWidth: 2,
              }
            ];

            chartOptions: any = {
              responsive: true
            };

            chartClicked(event: any): void {
              console.log(event);
            }

            chartHovered(event: any): void {
              console.log(event);
            }
          }
        
        
    

Updating chart data

        
            
          <div class="row">
            <div class="col-md-6 mx-auto my-5">
              <div style="display: block">
                <canvas mdbChart [chartType]="chartType" [datasets]="chartDatasets" [labels]="chartLabels" [colors]="chartColors" [options]="chartOptions"
                  [legend]="true" (chartHover)="chartHovered($event)" (chartClick)="chartClicked($event)">
                </canvas>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6 mx-auto text-center">
              <div class="row">
                <div class="col-md-4">
                  <button mdbBtn color="primary" class="waves-light" mdbWavesEffect (click)="updateOnlyDatasets()">Update only datasets</button>
                </div>
                <div class="col-md-4">
                  <button mdbBtn color="primary" class="waves-light" mdbWavesEffect (click)="updateOnlyLabels()">Update only labels</button>
                </div>
                <div class="col-md-4">
                  <button mdbBtn color="primary" class="waves-light" mdbWavesEffect (click)="updateDatasetsAndLabels()">Update datasets and labels</button>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6 mx-auto">
              <div class="row">
                <div class="col-md-6 text-center">
                  <button mdbBtn color="primary" class="waves-light" mdbWavesEffect (click)="updateChartMonthsLabels()">Update months labels</button>
                </div>
                <div class="col-md-6 text-center">
                  <button mdbBtn color="primary" class="waves-light" mdbWavesEffect (click)="updateChartColors()">Update chart colors</button>
                </div>
              </div>
            </div>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'doughnut-bar-chart',
            templateUrl: './doughnut-bar-chart.component.html',
            styleUrls: ['./doughnut-bar-chart.component.scss'],
          })
          export class DoughnutChartArea {
            chartType = 'line';

            chartDatasets = [
              { data: [65, 59, 80, 81, 56, 55, 40], label: 'My First dataset' },
              { data: [28, 48, 40, 19, 86, 27, 90], label: 'My Second dataset' }
            ];

            chartLabels = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul'];

            chartColors = [
              {
                backgroundColor: 'rgba(220,220,220,0.2)',
                borderColor: 'rgba(220,220,220,1)',
                borderWidth: 2,
                pointBackgroundColor: 'rgba(220,220,220,1)',
                pointBorderColor: '#fff',
                pointHoverBackgroundColor: '#fff',
                pointHoverBorderColor: 'rgba(220,220,220,1)'
              },
              {
                backgroundColor: 'rgba(151,187,205,0.2)',
                borderColor: 'rgba(151,187,205,1)',
                borderWidth: 2,
                pointBackgroundColor: 'rgba(151,187,205,1)',
                pointBorderColor: '#fff',
                pointHoverBackgroundColor: '#fff',
                pointHoverBorderColor: 'rgba(151,187,205,1)'
              }
            ];

            chartOptions: any = {
              responsive: true
            };

            chartClicked(event: any): void {
              console.log(event);
            }

            chartHovered(event: any): void {
              console.log(event);
            }

            updateOnlyDatasets() {
              const firstChartData = [
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
              ];
              const secondChartData = [
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
              ];
              // This line will update only data in your Chart
              this.chartDatasets = [
                { data: firstChartData, label: this.chartDatasets[0].label, },
                { data: secondChartData, label: this.chartDatasets[0].label, },
              ];
            }

            updateOnlyLabels() {
              // This line will update only label in your Chart
              // Note that if you need to update only label, you have to put some data into data property
              this.chartDatasets = [
                { data: this.chartDatasets[0].data, label: 'Label no. ' + Math.floor(Math.random() * 10), },
                { data: this.chartDatasets[1].data, label: 'Label no. ' + Math.floor(Math.random() * 10), },
              ];
            }

            updateDatasetsAndLabels() {
              const firstChartData = [
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
              ];
              const secondChartData = [
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
                Math.floor(Math.random() * 10),
              ];
              // This line will update both data and label in Chart
              this.chartDatasets = [
                { data: firstChartData, label: 'Label no. ' + Math.floor(Math.random() * 10), },
                { data: secondChartData, label: 'Label no. ' + Math.floor(Math.random() * 10), },
              ];
            }

            updateChartMonthsLabels() {
              this.chartLabels = ['January', 'February', 'March', 'April', 'May', 'June', 'July'];
            }

            updateChartColors() {
              this.chartColors = [
                {
                  backgroundColor: 'rgba(159,248,227,0.2)',
                  borderColor: 'rgba(15,239,187,1)',
                  borderWidth: 2,
                  pointBackgroundColor: 'rgba(220,220,220,1)',
                  pointBorderColor: '#fff',
                  pointHoverBackgroundColor: '#fff',
                  pointHoverBorderColor: 'rgba(220,220,220,1)'
                },
                {
                  backgroundColor: 'rgba(15,239,75,0.2)',
                  borderColor: 'rgba(9,143,45,1)',
                  borderWidth: 2,
                  pointBackgroundColor: 'rgba(220,220,220,1)',
                  pointBorderColor: '#fff',
                  pointHoverBackgroundColor: '#fff',
                  pointHoverBorderColor: 'rgba(220,220,220,1)'
                },
              ];
            }
          }
        
        
    

Getting point data on click

Use the getPointDataAtEvent method from the mdbChart directive to retrieve the value of the clicked point. It is required to use the - hover: {mode: 'nearest', intersec: true} option.

        
            
          <div style="display: block">
            <canvas
              mdbChart
              #chart
              [chartType]="chartType"
              [datasets]="chartDatasets"
              [labels]="chartLabels"
              [colors]="chartColors"
              [options]="chartOptions"
              [legend]="true"
              (chartClick)="onChartClick($event)"
            >
            </canvas>
          </div>
        
        
    
        
            
          import { Component, ViewChild } from '@angular/core';
          import {BaseChartDirective} from 'PATH/TO/MDB/ANGULAR';

          @Component({
            selector: 'bar-chart',
            templateUrl: './bar-chart.component.html',
            styleUrls: ['./bar-chart.component.scss'],
          })
          export class BarChart {
            @ViewChild(BaseChartDirective, { static: true }) chart!: BaseChartDirective;

            chartType = 'bar';

            chartDatasets = [
              { data: [65, 59, 80, 81, 56, 55, 40], label: 'My First dataset' },
              { data: [28, 48, 40, 19, 86, 27, 90], label: 'My Second dataset' }
            ];

            chartLabels = ['January', 'February', 'March', 'April', 'May', 'June', 'July'];

            chartColors = [
              {
                backgroundColor: 'rgba(105, 0, 132, .2)',
                borderColor: 'rgba(200, 99, 132, .7)',
                borderWidth: 2,
              },
              {
                backgroundColor: 'rgba(0, 137, 132, .2)',
                borderColor: 'rgba(0, 10, 130, .7)',
                borderWidth: 2,
              }
            ];

            chartOptions: any = {
              responsive: true,
              hover: {
                mode: 'nearest',
                intersec: true,
              },
            };

            onChartClick(event: any) {
              console.log(this.chart.getPointDataAtEvent(event));
            }
          }
        
        
    

Minimalist charts MDB Pro component

Sales
ROI
Conversion

Formatted charts

Example of how you can format the displayed number values during hover, and how you can format the Y-axis.

Live Demo

Step 1: Create a basic markup for the chart using mdb-simple-chart, percent, barColor, and animate.

        
            
          <mdb-simple-chart [percent]="56" [barColor]="'4CAF50'" [animate]="{duration: 1000, enabled: true}"></mdb-simple-chart>
        
        
    

Step 2: (Optional) Create a label.

        
            
          <mdb-simple-chart [percent]="56" [barColor]="'4CAF50'"></mdb-simple-chart>
          <h5>
            <mdb-badge color="green">Sales <mdb-icon fas icon="arrow-circle-up"></mdb-icon></mdb-badge>
          </h5>
        
        
    

Step 3: (Optional) Add .text-center if you want centered text.

        
            
          <div class="text-center">
            <mdb-simple-chart [percent]="56" [barColor]="'4CAF50'"></mdb-simple-chart>
            <h5>
              <mdb-badge color="green">Sales <mdb-icon fas icon="arrow-circle-up"></mdb-icon></mdb-badge>
            </h5>
         </div>
        
        
    

For example Easy Pie Charts could look like the example below:

        
            
          <mdb-simple-chart percent="85" barColor="ef1e25" trackColor="f2f2f2" scaleColor="303030" scaleLength="1" lineCap="round" lineWidth="5"
          trackWidth="10" size="110" rotate="0" [animate]="{duration: 1000, enabled: true}"></mdb-simple-chart>
        
        
    

Display values on chart MDB Pro component

You can display value of every point of the chart with the Chart.js plugin for data labels.

1. Install the plugin with npm install command:

        
            
          npm install chartjs-plugin-datalabels --save
        
        
    

2. Add new import to the script array in angular.json file:

        
            
          "scripts": [
            "node_modules/chart.js/dist/Chart.js",
            "node_modules/chartjs-plugin-datalabels/dist/chartjs-plugin-datalabels.js",
          ]
        
        
    

3. Add plugin configuration object to chartOptions (example code for bar chart):

        
            
          <div style="display: block">
            <canvas mdbChart
              [chartType]="chartType"
              [datasets]="chartDatasets"
              [labels]="chartLabels"
              [colors]="chartColors"
              [options]="chartOptions"
              [legend]="true"
              (chartHover)="chartHovered($event)"
              (chartClick)="chartClicked($event)">
            </canvas>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'bar-chart',
            templateUrl: './bar-chart.component.html',
            styleUrls: ['./bar-chart.component.scss'],
          })
          export class BarChartComponent {
            chartType = 'bar';

            chartDatasets = [
              { data: [65, 59, 80, 81, 56, 55, 40], label: 'My First dataset' },
            ];

            chartLabels = ['Red', 'Blue', 'Yellow', 'Green', 'Purple', 'Orange'];

            chartColors = [
              {
                backgroundColor: [
                  'rgba(255, 99, 132, 0.2)',
                  'rgba(54, 162, 235, 0.2)',
                  'rgba(255, 206, 86, 0.2)',
                  'rgba(75, 192, 192, 0.2)',
                  'rgba(153, 102, 255, 0.2)',
                  'rgba(255, 159, 64, 0.2)',
                ],
                borderColor: [
                  'rgba(255,99,132,1)',
                  'rgba(54, 162, 235, 1)',
                  'rgba(255, 206, 86, 1)',
                  'rgba(75, 192, 192, 1)',
                  'rgba(153, 102, 255, 1)',
                  'rgba(255, 159, 64, 1)',
                ],
                borderWidth: 2,
              },
            ];

            chartOptions: any = {
              responsive: true,
              scales: { xAxes: [{}], yAxes: [{}] },
              plugins: {
                datalabels: {
                  anchor: 'end',
                  align: 'end',
                  font: {
                    size: 20,
                  }
                }
              }
            };

            chartClicked(e: any): void {
              console.log(e);
            }

            chartHovered(e: any): void {
              console.log(e);
            }
          }
      
        
    

Angular Charts - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of charts component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { ChartsModule, ChartSimpleModule, WavesModule } from 'ng-uikit-pro-standard'
        
        
    
        
            
          import { ChartsModule, WavesModule } from 'angular-bootstrap-md'
        
        
    

Directives

BaseChartDirective

Selector: mdbChart

Type: BaseChartDirective


Charts Inputs

Name Type Default Description Example
datasets any[] - Input for filling chart with datasets. [datasets]="dataset"
labels any[] - Input for filling chart with labels. [labels]="label"
options any {legend: {display: false}} Input for filling chart with options. [options]="{}"
chartType string - Input for determine chart type. [chartType]="'bar'"
colors any[] - Input for filling chart with colors. [colors]="color"
legend boolean false Input for determining if chart will have legend or not. [legend]="false"

Events

Name Type Description Example
chartClick any Will be emitted when click event will be activated on the chart. (chartClick)="onChartClick($event)"
chartHover any Will be emitted when hober event will be activated on the chart. (chartHover)="onChartHover($event)"

Methods

Below methods are available in BaseChartDirective

Name Description
getPointDataAtEvent(event) Returns clicked chart point's data. As parameter, pass chart event from (chartClick) or (chartHover).

Components

SimpleChartComponent

Selector: mdb-simple-chart

Type: SimpleChartComponent


Easy Charts Inputs

Name Type Default Description Example
customText string ' ' Input for filling easy-chart with custom text. customText="Chart"
percent number null Input for providing easy-chart percent value. percent="50"
barColor string '#ef1e25' The color of the curcular bar. barColor="303030"
trackColor string '#f9f9f9' The color of the track, or false to disable rendering. trackColor="f9f9f9"
scaleColor string 'dfe0e0' The color of the scale lines, false to disable rendering. scaleColor="dfe0e0"
scaleLength number 5 Length of the scale lines (reduces the radius of the chart). scaleLength="3"
lineCap string ' ' Defines how the ending of the bar line looks like. Possible values are: butt, round and square. lineCap="round"
lineWidth number 3 Width of the chart line in px. lineWidth="5"
size number 110 Size of the pie chart in px. It will always be a square. size="Chart"
rotate number 0 Rotation of the complete chart in degrees. rotate="Chart"
animate {duration: number, enabled: boolean} {duration: 1000, enabled: true} Object with time in milliseconds and boolean for an animation of the bar growing, or false to deactivate animations. This property is REQUIRED to use. [animate]="{duration: 1000, enabled: true}"

Vue Bootstrap Charts

Vue Charts - Bootstrap 4 & Material Design

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a 50% discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
get 50% discount on MDB5 PRO

Vue Bootstrap charts are graphical representations of data. They are responsive and easy to customize.

At your disposal are 6 types of charts and multiple options for customization.


Line chart

A line chart is a way of plotting data points on a line. Often, it is used to show trend data, or the comparison of two data sets.

        
            
          <template>
            <mdb-container>
              <mdb-line-chart 
                :data="lineChartData" 
                :options="lineChartOptions" 
                :width="600" 
                :height="300">
              </mdb-line-chart>
            </mdb-container>
          </template>
        
        
    
        
            
          <script>
            import { mdbLineChart, mdbContainer } from 'mdbvue';
            export default {
              name: 'ChartPage',
              components: {
                mdbLineChart,
                mdbContainer
              },
              data() {
                return {
                  lineChartData: {
                    labels: ["January", "February", "March", "April", "May", "June", "July"],
                    datasets: [
                      {
                        label: "My First dataset",
                        backgroundColor: "rgba(255, 99, 132, 0.1)",
                        borderColor: "rgba(255, 99, 132, 1)",
                        borderWidth: 0.7,
                        data: [65, 59, 80, 81, 56, 55, 40]
                      },
                      {
                        label: "My Second dataset",
                        backgroundColor: "rgba(151,187,205,0.2)",
                        borderColor: "rgba(151,187,205,1)",
                        borderWidth: 0.8,
                        data: [28, 48, 40, 19, 86, 27, 90]
                      }
                    ]
                  },
                  lineChartOptions: {
                    responsive: false,
                    maintainAspectRatio: false,
                    scales: {
                      xAxes: [{
                        gridLines: {
                          display: true,
                          color: "rgba(0, 0, 0, 0.1)"
                        }
                      }],
                      yAxes: [{
                        gridLines: {
                          display: true,
                          color: "rgba(0, 0, 0, 0.1)"
                        }
                      }]
                    }
                  }
                };
              }
            }
          </script>
        
        
    

Radar chart

A radar chart is a way of showing multiple data points and the variation between them. They are often useful for comparing the points of two or more different data sets.

        
            
          <template>
            <mdb-container>
              <mdb-radar-chart 
                :data="radarChartData" 
                :options="radarChartOptions" 
                :width="600" 
                :height="300">
              </mdb-radar-chart>
            </mdb-container>
          </template>
        
        
    
        
            
          <script>
            import { mdbRadarChart, mdbContainer } from 'mdbvue';
            export default {
              name: 'ChartPage',
              components: {
                mdbRadarChart,
                mdbContainer
              },
              data() {
                return {
                  radarChartData: {
                    labels: ["Eating", "Drinking", "Sleeping", "Designing", "Coding", "Cycling", "Running"],
                    datasets: [
                      {
                        label: "My First dataset",
                        backgroundColor: "rgba(255, 99, 132, 0.1)",
                        borderColor: "rgba(255, 99, 132, 1)",
                        borderWidth: 0.7,
                        data: [65, 59, 90, 81, 56, 55, 40]
                      },
                      {
                        label: "My Second dataset",
                        backgroundColor: "rgba(75, 192, 192, 0.2)",
                        borderColor: "rgba(75, 192, 192, 1)",
                        borderWidth: 0.7,
                        data: [28, 48, 40, 19, 96, 27, 100]
                      }
                    ]
                  },
                  radarChartOptions: {
                    responsive: false,
                    maintainAspectRatio: false
                  }
                };
              }
            }
          </script>
        
        
    

Bar chart

A bar chart provides a way of showing data values represented as vertical bars. It is sometimes used to show trend data, and the comparison of multiple data sets side by side.

        
            
          <template>
            <mdb-container>
              <mdb-bar-chart 
                :data="barChartData" 
                :options="barChartOptions" 
                :width="600" 
                :height="300">
              </mdb-bar-chart>
            </mdb-container>
          </template>
        
        
    
        
            
          <script>
            import { mdbBarChart, mdbContainer } from 'mdbvue';
            export default {
              name: 'ChartPage',
              components: {
                mdbBarChart,
                mdbContainer
              },
              data() {
                return {
                  barChartData: {
                    labels: ["Red", "Blue", "Yellow", "Green", "Purple", "Orange"],
                    datasets: [{
                      label: '# of Votes',
                      data: [12, 19, 3, 5, 2, 3],
                      backgroundColor: [
                        'rgba(255, 99, 132, 0.2)',
                        'rgba(54, 162, 235, 0.2)',
                        'rgba(255, 206, 86, 0.2)',
                        'rgba(75, 192, 192, 0.2)',
                        'rgba(153, 102, 255, 0.2)',
                        'rgba(255, 159, 64, 0.2)'
                      ],
                      borderColor: [
                        'rgba(255,99,132,1)',
                        'rgba(54, 162, 235, 1)',
                        'rgba(255, 206, 86, 1)',
                        'rgba(75, 192, 192, 1)',
                        'rgba(153, 102, 255, 1)',
                        'rgba(255, 159, 64, 1)'
                      ],
                      borderWidth: 1,
                    }]
                  },
                  barChartOptions: {
                    responsive: false,
                    maintainAspectRatio: false,
                    scales: {
                      xAxes: [{
                        barPercentage: 1,
                        gridLines: {
                          display: true,
                          color: "rgba(0, 0, 0, 0.1)"
                        }
                      }],
                      yAxes: [{
                        gridLines: {
                          display: true,
                          color: "rgba(0, 0, 0, 0.1)"
                        }
                      }]
                    }
                  }
                };
              }
            }
          </script>
        
        
    

Horizontal Bar chart

Use a horizontal bar chart when you're presenting a long list of results that would become crowded if displayed vertically. Options specified on the x-axis in a bar chart, are applied to the y-axis in a horizontal bar chart.

        
            
          <template>
            <mdb-container>
              <mdb-horizontal-bar-chart 
                :data="horizontalBarChartData" 
                :options="horizontalBarChartOptions"
                :width="600" 
                :height="300">
              </mdb-horizontal-bar-chart>
            </mdb-container>
          </template>
        
        
    
        
            
          <script>
            import { mdbHorizontalBarChart, mdbContainer } from 'mdbvue';
            export default {
              name: 'ChartPage',
              components: {
                mdbHorizontalBarChart,
                mdbContainer
              },
              data() {
                return {
                  horizontalBarChartData: {
                    labels: ["Red", "Blue", "Yellow", "Green", "Purple", "Orange"],
                    datasets: [{
                      label: '# of Votes',
                      data: [12, 19, 3, 5, 2, 3],
                      backgroundColor: [
                        'rgba(255, 99, 132, 0.2)',
                        'rgba(54, 162, 235, 0.2)',
                        'rgba(255, 206, 86, 0.2)',
                        'rgba(75, 192, 192, 0.2)',
                        'rgba(153, 102, 255, 0.2)',
                        'rgba(255, 159, 64, 0.2)'
                      ],
                      borderColor: [
                        'rgba(255,99,132,1)',
                        'rgba(54, 162, 235, 1)',
                        'rgba(255, 206, 86, 1)',
                        'rgba(75, 192, 192, 1)',
                        'rgba(153, 102, 255, 1)',
                        'rgba(255, 159, 64, 1)'
                      ],
                      borderWidth: 1,
                    }]
                  },
                  horizontalBarChartOptions: {
                    responsive: false,
                    maintainAspectRatio: false,
                    scales: {
                      xAxes: [{
                        barPercentage: 1,
                        gridLines: {
                          display: true,
                          color: "rgba(0, 0, 0, 0.1)",
                        }
                      }],
                      yAxes: [{
                        gridLines: {
                          display: true,
                          color: "rgba(0, 0, 0, 0.1)",
                        }
                      }],
                    }
                  }
                };
              }
            }
          </script>
        
        
    

Scatter chart

Stacked Bar Charts are plotted when multiple Bar Charts with aligned x values are plotted on same axis. Multiple sets of data are represented by one Bar.

        
            
          <template>
            <mdb-container>
              <mdb-scatter-chart 
                :data="scatterChartData" 
                :options="scatterChartOptions" 
                :width="600" 
                :height="300">
              </mdb-scatter-chart>
            </mdb-container>
          </template>
        
        
    
        
            
          <script>
            import { mdbScatterChart, mdbContainer } from 'mdbvue';
            export default {
              name: 'ChartPage',
              components: {
                mdbScatterChart,
                mdbContainer
              },
              data() {
                return {
                  scatterChartData: {
                    datasets: [
                      {
                        label: "My First dataset",
                        backgroundColor: "rgba(255, 99, 132, 0.1)",
                        borderColor: "rgba(255, 99, 132, 1)",
                        borderWidth: 0.7,
                        data: [{
                          x: 1,
                          y: -1.711e-2,
                        }, {
                          x: 1.26,
                          y: -2.708e-2,
                        }, {
                          x: 1.58,
                          y: -4.285e-2,
                        }, {
                          x: 2.0,
                          y: -6.772e-2,
                        }, {
                          x: 2.51,
                          y: -1.068e-1,
                        }, {
                          x: 3.16,
                          y: -1.681e-1,
                        }, {
                          x: 3.98,
                          y: -2.635e-1,
                        }, {
                          x: 5.01,
                          y: -4.106e-1,
                        }, {
                          x: 6.31,
                          y: -6.339e-1,
                        }, {
                          x: 7.94,
                          y: -9.659e-1,
                        }, {
                          x: 10.00,
                          y: -1.445,
                        }, {
                          x: 12.6,
                          y: -2.110,
                        }, {
                          x: 15.8,
                          y: -2.992,
                        }, {
                          x: 20.0,
                          y: -4.102,
                        }, {
                          x: 25.1,
                          y: -5.429,
                        }, {
                          x: 31.6,
                          y: -6.944,
                        }, {
                          x: 39.8,
                          y: -8.607,
                        }, {
                          x: 50.1,
                          y: -1.038e1,
                        }, {
                          x: 63.1,
                          y: -1.223e1,
                        }, {
                          x: 79.4,
                          y: -1.413e1,
                        }, {
                          x: 100.00,
                          y: -1.607e1,
                        }, {
                          x: 126,
                          y: -1.803e1,
                        }, {
                          x: 158,
                          y: -2e1,
                        }, {
                          x: 200,
                          y: -2.199e1,
                        }, {
                          x: 251,
                          y: -2.398e1,
                        }, {
                          x: 316,
                          y: -2.597e1,
                        }, {
                          x: 398,
                          y: -2.797e1,
                        }, {
                          x: 501,
                          y: -2.996e1,
                        }, {
                          x: 631,
                          y: -3.196e1,
                        }, {
                          x: 794,
                          y: -3.396e1,
                        }, {
                          x: 1000,
                          y: -3.596e1,
                        }]
                      }
                    ]
                  },
                  scatterChartOptions: {
                    responsive: false,
                    maintainAspectRatio: false,
                    scales: {
                      xAxes: [{
                        gridLines: {
                          display: true,
                          color: "rgba(0, 0, 0, 0.1)",
                        }
                      }],
                      yAxes: [{
                        gridLines: {
                          display: true,
                          color: "rgba(0, 0, 0, 0.1)",
                        }
                      }],
                    }
                  },
                };
              }
            }
          </script>
        
        
    

Bubble chart

Stacked Bar Charts are plotted when multiple Bar Charts with aligned x values are plotted on same axis. Multiple sets of data are represented by one Bar.

        
            
          <template>
            <mdb-container>
              <mdb-bubble-chart 
                :data="bubbleChartData" 
                :options="bubbleChartOptions" 
                :width="600" 
                :height="300">
              </mdb-bubble-chart>
            </mdb-container>
          </template>
        
        
    
        
            
          <script>
            import { mdbBubbleChart, mdbContainer } from 'mdbvue';
            export default {
              name: 'ChartPage',
              components: {
                mdbBubbleChart,
                mdbContainer
              },
              data() {
                return {
                  bubbleChartData: {
                    datasets: [
                      {
                        label: "My First dataset",
                        backgroundColor: "rgba(255, 99, 132, 0.1)",
                        borderColor: "rgba(255, 99, 132, 1)",
                        borderWidth: 0.7,
                        data: [{
                          x: 5,
                          y: 7,
                          r: 7
                        }]
                      },
                      {
                        label: "My Second dataset",
                        backgroundColor: "rgba(151,187,205,0.2)",
                        borderColor: "rgba(151,187,205,1)",
                        borderWidth: 0.8,
                        data: [{
                          x: 15,
                          y: 2,
                          r: 6
                        }]
                      },
                      {
                        label: "My Thrid dataset",
                        backgroundColor: "rgba(255, 206, 86, 0.2)",
                        borderColor: "rgba(255, 206, 86, 1)",
                        borderWidth: 0.8,
                        data: [{
                          x: 10,
                          y: 4,
                          r: 14
                        }]
                      }
                    ]
                  },
                  bubbleChartOptions: {
                    responsive: false,
                    maintainAspectRatio: false,
                    scales: {
                      xAxes: [{
                        gridLines: {
                          display: true,
                          color: "rgba(0, 0, 0, 0.1)",
                        }
                      }],
                      yAxes: [{
                        gridLines: {
                          display: true,
                          color: "rgba(0, 0, 0, 0.1)",
                        }
                      }],
                    }
                  },
                };
              }
            }
          </script>
        
        
    

Polar Area Chart

Polar area charts segment has the same angle - the radius of the segment differs depending on the value.

        
            
          <template>
            <mdb-container>
              <mdb-polar-chart 
                :data="polarChartData" 
                :options="polarChartOptions" 
                :width="600" 
                :height="300">
              </mdb-polar-chart>
            </mdb-container>
          </template>
        
        
    
        
            
          <script>
            import { mdbPolarChart, mdbContainer } from 'mdbvue';
            export default {
              name: 'ChartPage',
              components: {
                mdbPolarChart,
                mdbContainer
              },
              data() {
                return {
                  polarChartData: {
                    labels: ["Red", "Green", "Yellow", "Grey", "Dark Grey"],
                    datasets: [
                      {
                        data: [300, 50, 100, 40, 120],
                        backgroundColor: ["rgba(247, 70, 74, 0.3)", "rgba(70, 191, 189, 0.3)", "rgba(253, 180, 92, 0.3)", "rgba(148, 159, 177, 0.3)", "rgba(77, 83, 96, 0.3)"],
                        hoverBackgroundColor: ["rgba(247, 70, 74, 0.4)", "rgba(70, 191, 189, 0.4)", "rgba(253, 180, 92, 0.4)", "rgba(148, 159, 177, 0.4)", "rgba(77, 83, 96, 0.4)"]
                      }
                    ]
                  },
                  polarChartOptions: {
                    responsive: false,
                    maintainAspectRatio: false
                  }
                };
              }
            }
          </script>
        
        
    

Pie Chart

A pie chart is a circular chart divided into sectors, each sector (and consequently its central angle and area), is proportional to the quantity it represents. Together, the sectors create a full disk.

        
            
          <template>
            <mdb-container>
              <mdb-pie-chart 
                :data="pieChartData" 
                :options="pieChartOptions" 
                :width="600" 
                :height="300">
              </mdb-pie-chart>
            </mdb-container>
          </template>
        
        
    
        
            
          <script>
            import { mdbPieChart, mdbContainer } from 'mdbvue';
            export default {
              name: 'ChartPage',
              components: {
                mdbPieChart,
                mdbContainer
              },
              data() {
                return {
                  pieChartData: {
                    labels: ["Red", "Green", "Yellow", "Grey", "Dark Grey"],
                    datasets: [
                      {
                        data: [300, 50, 100, 40, 120],
                        backgroundColor: ["#F7464A", "#46BFBD", "#FDB45C", "#949FB1", "#4D5360"],
                        hoverBackgroundColor: ["#FF5A5E", "#5AD3D1", "#FFC870", "#A8B3C5", "#616774"]
                      }
                    ]
                  },
                  pieChartOptions: {
                    responsive: false,
                    maintainAspectRatio: false
                  }
                };
              }
            }
          </script>
        
        
    

Doughnut Chart

The doughnut chart allows a number of properties to be specified for each dataset. These are used to set display properties for a specific dataset. For example, the colours of the dataset's arcs are generally set this way.

        
            
          <template>
            <mdb-container>
              <mdb-doughnut-chart 
                :data="doughnutChartData" 
                :options="doughnutChartOptions" 
                :width="600" 
                :height="300">
              </mdb-doughnut-chart>
            </mdb-container>
          </template>
        
        
    
        
            
          <script>
            import { mdbDoughnutChart, mdbContainer } from 'mdbvue';
            export default {
              name: 'ChartPage',
              components: {
                mdbDoughnutChart,
                mdbContainer
              },
              data() {
                return {
                  doughnutChartData: {
                    labels: ["Red", "Green", "Yellow", "Grey", "Dark Grey"],
                    datasets: [
                      {
                        data: [300, 50, 100, 40, 120],
                        backgroundColor: ["#F7464A", "#46BFBD", "#FDB45C", "#949FB1", "#4D5360"],
                        hoverBackgroundColor: ["#FF5A5E", "#5AD3D1", "#FFC870", "#A8B3C5", "#616774"]
                      }
                    ]
                  },
                  doughnutChartOptions: {
                    responsive: false,
                    maintainAspectRatio: false
                  }
                };
              }
            }
          </script>
        
        
    

Minimalist charts MDB Pro component

This shows easyPieChart with percent sign shown for each span. I'd like to hide the percent sign from two of the spans.

Sales
ROI
Conversion
        
            
          <template>
            <mdb-container>
              <mdb-row>
                <mdb-col md="4">
                  <div class="d-flex justify-content-center">
                    <mdb-simple-chart :value="value" color="#4CAF50">
                      {{value}}%
                    </mdb-simple-chart>
                  </div>
                  <div class="d-flex justify-content-center mt-3">
                    <mdb-badge color="green">Sales <mdb-icon icon="arrow-circle-up"/></mdb-badge>
                  </div>
                </mdb-col>
                <mdb-col md="4">
                  <div class="d-flex justify-content-center">
                    <mdb-simple-chart :value="value2" color="#F44336">
                      {{value2}}%
                    </mdb-simple-chart>
                  </div>
                  <div class="d-flex justify-content-center mt-3">
                    <mdb-badge color="red">ROI <mdb-icon icon="arrow-circle-down"/></mdb-badge>
                  </div>
                </mdb-col>
                <mdb-col md="4">
                  <div class="d-flex justify-content-center">
                    <mdb-simple-chart :value="value3" color="#9E9E9E">
                      {{value3}}%
                    </mdb-simple-chart>
                  </div>
                  <div class="d-flex justify-content-center mt-3">
                    <mdb-badge color="grey">Conversion <mdb-icon icon="minus-square"/></mdb-badge>
                  </div>
                </mdb-col>
              </mdb-row>
            </mdb-container>
          </template>
        
        
    
        
            
          <script>
            import { mdbContainer, mdbRow, mdbCol, mdbSimpleChart, mdbBadge, mdbIcon } from 'mdbvue';
            export default {
              name: 'ChartPage',
              components: {
                mdbContainer,
                mdbRow,
                mdbCol,
                mdbSimpleChart,
                mdbBadge,
                mdbIcon
              },
              data() {
                return {
                  value: 56,
                  value2: 76,
                  value3: 100
                };
              }
            }
          </script>
        
        
    

Charts - API

In this section you will find advanced information about the Charts component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
          <script>
            import { mdbLineChart } from 'mdbvue';
          </script>
        
        
    

API Reference: Properties

Name Type Default Description Example
data Array Chart dataset <mdb-line-chart :data="..." >
options Array Chart options array <mdb-line-chart :options="..." >
height Number 0 Chart height <mdb-line-chart :height="300" >
width Number 0 Chart width <mdb-line-chart :width="600" >